package com.engine.organization.enums;

/**
 * @Author liang.cheng
 * @Date 2023/9/1 1:50 PM
 * @Description: 编制及在编变更枚举
 * @Version 1.0
 */
public enum StaffChangeEnum {

    ADD(0, "增加"),
    REDUCE(1, "减少"),
    FROZEN(2, "冻结"),
    ENTRY(3, "入职"),
    DIMISSION(4, "离职"),
    TRANSFER(5, "转移");

    private Integer value;

    private String desc;

    StaffChangeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
